using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Métiers;


namespace Catalogue
{
    public partial class Login : Form
    {
        Accueil accueil;
        public DataTable connect = new DataTable();
        public string chaineConnexion = string.Format("SERVER=10.121.38.78; DATABASE=catalogue; UID=1uap23; PASSWORD=azerty1");
        public Login()
        {
            InitializeComponent();
            Connection.ouvertureBd();
        }

        public void btnOK_Click(object sender, EventArgs e)
        {

            // Récupérer le groupe sélectionné dans le zone de texte identifiant et MDP 
            string identifiant = txtIdentifiant.Text;
            string motDePasse = txtMDP.Text;
            int reponse = Convert.ToInt32(Métiers.Login.verifLogin(identifiant, motDePasse).Rows[0][0]);

            if (reponse > 0) 
            { 
                accueil = new Accueil();
                this.Visible = false;
                accueil.ShowDialog(this);
            }

            txtIdentifiant.Text = txtIdentifiant.Text;   //Reset le mot de passe mais pas l'identifiant
            txtMDP.Text = "";
            MessageBox.Show("veuillez re-essayer", "Identifiant ou mots de passe incorrect", MessageBoxButtons.OK);
            

        }

        private void btnQuitter_Click(object sender, EventArgs e)
        {
            this.Close();
        }

        private void picOeil_MouseDown(object sender, MouseEventArgs e)
        {
            txtMDP.UseSystemPasswordChar = false;
        }

        private void picOeil_MouseUp(object sender, MouseEventArgs e)
        {
            txtMDP.UseSystemPasswordChar = true;
        }

        private void lblMDPOublie_MouseClick(object sender, MouseEventArgs e)
        {
            MessageBox.Show("Veuillez contacter ce numéro : 36-30-36-30");
        }
    }
}
